---
search:
  tags:
    - Product Drafts
    - PATCH
seo:
  description: >-
    Replaces the existing draft changeset for… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/draft endpoint in the
    Management API.
sidebar:
  label: Update Product Draft
  badge: PATCH
title: Update Product Draft
type: openapi-operation
---
Replaces the existing draft changeset for a product with new values. Updates the scheduled publication time if provided and reschedules any existing publication jobs.

`PATCH /api/v1/{team_slug}/{app_slug}/products/{product_id}/draft`

**Request body** (`application/json`, required)

Updated draft changeset and optional publish\_at

- `changeset` (github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftChangeset, required)
- `publish_at` (string)

Request body example:

```json
{
  "changeset": {
    "attributes": [
      "string"
    ],
    "categories": [
      {
        "id": "string",
        "is_main_category": true,
        "order": 0
      }
    ],
    "collections": [
      "string"
    ],
    "description": "string",
    "html_description": "string",
    "html_short_description": "string",
    "images": [
      {
        "id": "string",
        "priority": 0
      }
    ],
    "meta_description": "string",
    "meta_title": "string",
    "name": "string",
    "short_description": "string",
    "tags": [
      {
        "key": "string",
        "order": 0
      }
    ]
  },
  "publish_at": "string"
}
```

**Responses**

- `200` — Draft updated successfully
- `400` — Invalid request (e.g. validation error)
- `401` — Unauthorized access
- `404` — No draft found for this product
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "app_id": "string",
    "changeset": {
      "attributes": [
        "string"
      ],
      "categories": [
        {
          "id": "string",
          "is_main_category": true,
          "order": 0
        }
      ],
      "collections": [
        "string"
      ],
      "description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "images": [
        {
          "id": "string",
          "priority": 0
        }
      ],
      "meta_description": "string",
      "meta_title": "string",
      "name": "string",
      "short_description": "string",
      "tags": [
        {
          "key": "string",
          "order": 0
        }
      ]
    },
    "created_at": "string",
    "id": "string",
    "product_id": "string",
    "publish_at": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
